tigase.server

## Interface MessageReceiver

- All Superinterfaces:
    ServerComponent
  All Known Implementing Classes:
    AbstractComponent, AbstractMessageReceiver, AmpComponent, AmpComponentClustered, BoshConnectionClustered, BoshConnectionManager, ClientConnectionClustered, ClientConnectionManager, ClusterConnectionManager, ComponentConnectionManager, ComponentProtocol, ConnectionManager, EchoComponent, EventBusComponent, MessageRouter, MonitorClustered, MonitorComponent, MonitorComponent, S2SConnectionManager, ServerConnectionManager, SessionManager, SessionManagerClustered, StanzaReceiver, StanzaSender, TestComponent, WebSocketClientConnectionClustered, WebSocketClientConnectionManager

      public interface MessageReceiver
      extends ServerComponent

  Interface MessageReceiver Objects of this type can receive messages. They can be in fact routing destination depending on target address. Message are routed to proper destination in MessageRouter class. Created: Tue Nov 22 07:07:11 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addPacket(Packet packet)` Describe `addPacket` method here.
    `boolean` | `addPacketNB(Packet packet)`
    `boolean` | `addPackets(Queue<Packet> packets)` Describe `addPackets` method here.
    `BareJID` | `getDefHostName()`
    `boolean` | `isInRegexRoutings(String address)`
    `void` | `setParent(MessageReceiver msg_rec)` Describe `setParent` method here.
    `void` | `start()`

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- - ### Method Detail

    - #### addPacket

          boolean addPacket(Packet packet)

      Describe `addPacket` method here.
      Parameters:
        `packet` - a `Packet` value
      Returns:
        a `boolean` value `true` if packet has been successfully added, `false` otherwise.

    - #### addPacketNB

          boolean addPacketNB(Packet packet)

    - #### addPackets

          boolean addPackets(Queue<Packet> packets)

      Describe `addPackets` method here.
      Parameters:
        `packets` -
      Returns:
        a `boolean` value

    - #### getDefHostName

          BareJID getDefHostName()

    - #### isInRegexRoutings

          boolean isInRegexRoutings(String address)

    - #### setParent

          void setParent(MessageReceiver msg_rec)

      Describe `setParent` method here.
      Parameters:
        `msg_rec` - a `MessageReceiver` value

    - #### start

          void start()

Copyright © 2022 "Tigase, Inc.". All rights reserved.